summaryrefslogtreecommitdiff
path: root/media-libs/glycin-loaders
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /media-libs/glycin-loaders
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'media-libs/glycin-loaders')
-rw-r--r--media-libs/glycin-loaders/Manifest9
-rw-r--r--media-libs/glycin-loaders/glycin-loaders-1.2.4.ebuild94
-rw-r--r--media-libs/glycin-loaders/glycin-loaders-2.0.7.ebuild111
-rw-r--r--media-libs/glycin-loaders/glycin-loaders-2.0.8.ebuild111
-rw-r--r--media-libs/glycin-loaders/glycin-loaders-2.1.1.ebuild112
-rw-r--r--media-libs/glycin-loaders/metadata.xml9
6 files changed, 446 insertions, 0 deletions
diff --git a/media-libs/glycin-loaders/Manifest b/media-libs/glycin-loaders/Manifest
new file mode 100644
index 000000000000..22564243ec87
--- /dev/null
+++ b/media-libs/glycin-loaders/Manifest
@@ -0,0 +1,9 @@
+DIST glycin-1.2.4.tar.xz 37181828 BLAKE2B 8bd901e09d3f9902582662154d62d180e1d6c3aaee472d81d7c32c611ba2b101074a8c70511ef5f1ad3cff67c6cd8e154282a855e21379f0067ab07e8dd4eecf SHA512 3215e7ec6f5cb04a4871ab34b1e0b67c11984ae8762c460248ebe5241d01cfa57b571d32c629f2fecfa926c961f876b3e8e6be3a8f89d12f4bc09b0aa329a56f
+DIST glycin-2.0.7-crates.tar.xz 27561200 BLAKE2B 6a333ef0d046972682acc3dc3211687894112d621d98cda67eab7b5dd6b370282abe0c8b30d37f1c21afc59d3c43ebc1b02405aeac0286870c323573dc16631c SHA512 9ac910493bd9359ea98fbecf37964c810073cecabc0e2c33b98d79eb4ef3186305c7fb94d054196cf697d4717836625a39dcd0e8bd6f4f0a3752439c64d9e030
+DIST glycin-2.0.7.tar.bz2 151441 BLAKE2B b195f1a2745011b007295f5cc3fd7d667742857ec7ec608b3cc049ea634ba9197d716ab87d21ff43de4f3f3fb0202edcfefff26f66d9a8d099254280cf061f9c SHA512 81963a4d2ce858b43e2f9a9021304be7c7bf4befd6754d2a52f5cde77008ec1000db03d56de9fe7b8ebc6c7053a03ebf83843b3f0a9aa6051e63a5517bc20baf
+DIST glycin-2.0.8-crates.tar.xz 27567700 BLAKE2B 05e1d3eed1b74a2fa94179590d56d6e98bddc75e7ace1d8d97cfadc05199f935c4a1a5de1689719cd2e5fad10db8db763bada2378b9bbeec1f90358dfd38f16f SHA512 5deaebd1857aff4a9afc335c63b486849efd75272ffee209b525fc9e74e13834528a93439d7a49cbd90ac4e53aca28be03ba6497db2f6e004b3be5a01c255c01
+DIST glycin-2.0.8.tar.bz2 152054 BLAKE2B ca67bc3bbafa3851044ef25b6ff0fc56142d4e6cb701921975b1114e8140b1a51229d080e2ebfdf811a0d22654df75af589334e8a385eee02860465c775f46aa SHA512 cca4b2766384ebd5dc5f41886c429bc219e1396c9b1a0cc77966921edc451d2ff38c84bbe9b03557bf623e915804f8299771d2c154faebd6a90522be30fd1e8c
+DIST glycin-2.1.1-crates.tar.xz 18049564 BLAKE2B 628319dc5d3d6d12c63fdb023720c282d90aaf92c1303e8ac757dcaf2aedce68c109c8367a86e579b1cfbe69204ec2abeec74ec08cdda629955d94638a7ec36c SHA512 5f1d25187825d2e6a21a882beb77d765a80dc16bc78e570a43053a5cdc527ce138bd57c3c900b48b3295a6cc1939a6dafb99aee0e493a660c17100dbb6d1757d
+DIST glycin-2.1.1.tar.bz2 177876 BLAKE2B 84aabfd4575bc495cb67be08e75211b52abeb67762b976044e04883ae7e7cb8cd9c59184af4c62dcf065bcebb723866d74a187ccd66bc5a55aeddefedb39080e SHA512 d4a0a2a6cbbf0de3e2332b35f62d0de2c920742c8e9d1e75cb2b07f3e90419bf240f558140cd289a30466fd0ad833f2f52710f088538210508e23ef1d400c601
+DIST glycin-test-images-b148bcf70847d6f126a8e83e27e1c59d2e474adf.tar.bz2 8260055 BLAKE2B 5e1f802283e4b7212b7498ef9093bd5ad7a2bb66f8585aacff0a73d9a15b9fe7467bc06508cc0c910285d8a158287ed0c62fe793d78e8355613dd50f0e2e00c3 SHA512 0839108bcc60927b83f7cc821a6834781712d4e0489af30a3a0b1578da48c35b371e312cf11d39aefd9e3a2e051f005ee6eabda1beaa718d4ff77960def4aa71
+DIST glycin-test-images-f7a06d9131a5686c1b58c56f42f9fda9ea5e620d.tar.bz2 8890371 BLAKE2B 7b334ec32f8614de3fd556256f421ef88b32db36949fdbf191f57dcffc0cc5c1cdb4f88beb3531548a0bc4e462cae309a335c37a37b2f66b224f406aac751596 SHA512 f88b897b2b9a0a59c4f6b495383084c7a86392e3428f870b9f61a03d8e17da23903953211dc6c24b90f01c6a00eb5fa7626c71ff50d64dacd737f1a669ec8a35
diff --git a/media-libs/glycin-loaders/glycin-loaders-1.2.4.ebuild b/media-libs/glycin-loaders/glycin-loaders-1.2.4.ebuild
new file mode 100644
index 000000000000..055afe6c6430
--- /dev/null
+++ b/media-libs/glycin-loaders/glycin-loaders-1.2.4.ebuild
@@ -0,0 +1,94 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# crates vendored upstream
+CRATES=""
+
+RUST_MIN_VER=1.80.0
+
+inherit cargo meson
+
+MY_P=glycin-${PV/_/.}
+DESCRIPTION="Loaders for glycin clients (glycin crate or libglycin)"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/glycin/"
+SRC_URI="
+ https://download.gnome.org/sources/glycin/$(ver_cut 1-2)/${MY_P}.tar.xz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="|| ( LGPL-2.1+ MPL-2.0 )"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD GPL-3+ ISC LGPL-3+
+ MIT Unicode-3.0
+ || ( LGPL-2.1+ MPL-2.0 )
+"
+SLOT="1"
+KEYWORDS="amd64 arm64"
+IUSE="heif jpegxl svg test"
+REQUIRED_USE="test? ( heif jpegxl )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-libs/glib-2.60:2
+ >=sys-libs/libseccomp-2.5.0
+ heif? ( >=media-libs/libheif-1.17.0:= )
+ jpegxl? ( >=media-libs/libjxl-0.10.0:= )
+ svg? (
+ >=gnome-base/librsvg-2.52.0:2
+ >=x11-libs/cairo-1.17.0
+ )
+"
+DEPEND="
+ ${RDEPEND}
+ test? (
+ >=gui-libs/gtk-4.16.0:4
+ >=media-libs/lcms-2.14:2
+ )
+"
+BDEPEND="
+ test? (
+ sys-apps/bubblewrap
+ sys-apps/dbus
+ )
+"
+
+ECARGO_VENDOR=${S}/vendor
+
+QA_FLAGS_IGNORED="usr/libexec/glycin-loaders/.*"
+
+src_prepare() {
+ default
+
+ # https://gitlab.gnome.org/GNOME/glycin/-/issues/81
+ sed -i -e '\|/fonts|d' tests/tests.rs || die
+}
+
+src_configure() {
+ local formats=(
+ $(usev heif glycin-heif)
+ $(usev jpegxl glycin-jxl)
+ $(usev svg glycin-svg)
+ glycin-image-rs
+ )
+ local formats_s=${formats[*]}
+ local emesonargs=(
+ -Dprofile=$(usex debug dev release)
+ -Dglycin-loaders=true
+ -Dloaders="${formats_s// /,}"
+ -Dtests=$(usex test true false)
+ -Dlibglycin=false
+ )
+
+ meson_src_configure
+ ln -s "${CARGO_HOME}" "${BUILD_DIR}/cargo-home" || die
+}
+
+src_test() {
+ # tests write to /proc/*/uid_map
+ # apparently, "addpredict /" in Portage breaks it
+ local -x SANDBOX_ON=0
+ meson_src_test
+}
diff --git a/media-libs/glycin-loaders/glycin-loaders-2.0.7.ebuild b/media-libs/glycin-loaders/glycin-loaders-2.0.7.ebuild
new file mode 100644
index 000000000000..314a81dea2bf
--- /dev/null
+++ b/media-libs/glycin-loaders/glycin-loaders-2.0.7.ebuild
@@ -0,0 +1,111 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+RUST_MIN_VER=1.85.0
+
+inherit cargo meson
+
+MY_PV=${PV/_/.}
+MY_P=glycin-${MY_PV}
+TEST_IMAGE_COMMIT=b148bcf70847d6f126a8e83e27e1c59d2e474adf
+
+DESCRIPTION="Loaders for glycin clients (glycin crate or libglycin)"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/glycin/"
+# upstream release tarballs are useless, as upstream is deliberately
+# stripping glycin crate from them
+SRC_URI="
+ https://gitlab.gnome.org/GNOME/glycin/-/archive/${MY_PV}/${MY_P}.tar.bz2
+ https://github.com/gentoo-crate-dist/glycin/releases/download/${MY_PV}/${MY_P}-crates.tar.xz
+ test? (
+ https://gitlab.gnome.org/sophie-h/test-images/-/archive/${TEST_IMAGE_COMMIT}/test-images-${TEST_IMAGE_COMMIT}.tar.bz2
+ -> glycin-test-images-${TEST_IMAGE_COMMIT}.tar.bz2
+ )
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="|| ( LGPL-2.1+ MPL-2.0 )"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD GPL-3+ IJG ISC
+ LGPL-3+ MIT Unicode-3.0
+ || ( LGPL-2.1+ MPL-2.0 )
+"
+SLOT="2"
+KEYWORDS="amd64 arm64"
+IUSE="heif jpeg2k jpegxl svg test"
+REQUIRED_USE="test? ( heif jpegxl )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ !>=media-libs/glycin-loaders-2:0
+ >=dev-libs/glib-2.68.0:2
+ >=sys-libs/libseccomp-2.5.0
+ heif? ( >=media-libs/libheif-1.17.0:= )
+ jpegxl? ( >=media-libs/libjxl-0.11.0:= )
+ svg? (
+ >=gnome-base/librsvg-2.52.0:2
+ >=x11-libs/cairo-1.17.0
+ )
+"
+DEPEND="
+ ${RDEPEND}
+ test? (
+ >=gui-libs/gtk-4.16.0:4
+ >=media-libs/lcms-2.14:2
+ )
+"
+BDEPEND="
+ test? (
+ sys-apps/bubblewrap
+ sys-apps/dbus
+ )
+"
+
+QA_FLAGS_IGNORED="usr/libexec/glycin-loaders/.*"
+
+src_unpack() {
+ cargo_src_unpack
+
+ if use test; then
+ mv "test-images-${TEST_IMAGE_COMMIT}"/* \
+ "${S}/tests/test-images/" || die
+ fi
+}
+
+src_configure() {
+ local formats=(
+ $(usev heif glycin-heif)
+ $(usev jpeg2k glycin-jpeg2000)
+ $(usev jpegxl glycin-jxl)
+ $(usev svg glycin-svg)
+ glycin-image-rs
+ )
+ local formats_s=${formats[*]}
+ local emesonargs=(
+ -Dprofile=$(usex debug dev release)
+ -Dglycin-loaders=true
+ -Dloaders="${formats_s// /,}"
+ -Dtests=$(usex test true false)
+ -Dlibglycin=false
+ -Dlibglycin-gtk4=false
+ -Dglycin-thumbnailer=false
+
+ # TODO: figure out why it fails
+ # https://gitlab.gnome.org/GNOME/glycin/-/issues/167
+ -Dtest_skip_ext=heic
+ )
+
+ meson_src_configure
+ ln -s "${CARGO_HOME}" "${BUILD_DIR}/cargo-home" || die
+}
+
+src_test() {
+ # tests write to /proc/*/uid_map
+ # apparently, "addpredict /" in Portage breaks it
+ local -x SANDBOX_ON=0
+ meson_src_test
+}
diff --git a/media-libs/glycin-loaders/glycin-loaders-2.0.8.ebuild b/media-libs/glycin-loaders/glycin-loaders-2.0.8.ebuild
new file mode 100644
index 000000000000..814f1de49003
--- /dev/null
+++ b/media-libs/glycin-loaders/glycin-loaders-2.0.8.ebuild
@@ -0,0 +1,111 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+RUST_MIN_VER=1.85.0
+
+inherit cargo meson
+
+MY_PV=${PV/_/.}
+MY_P=glycin-${MY_PV}
+TEST_IMAGE_COMMIT=b148bcf70847d6f126a8e83e27e1c59d2e474adf
+
+DESCRIPTION="Loaders for glycin clients (glycin crate or libglycin)"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/glycin/"
+# upstream release tarballs are useless, as upstream is deliberately
+# stripping glycin crate from them
+SRC_URI="
+ https://gitlab.gnome.org/GNOME/glycin/-/archive/${MY_PV}/${MY_P}.tar.bz2
+ https://github.com/gentoo-crate-dist/glycin/releases/download/${MY_PV}/${MY_P}-crates.tar.xz
+ test? (
+ https://gitlab.gnome.org/sophie-h/test-images/-/archive/${TEST_IMAGE_COMMIT}/test-images-${TEST_IMAGE_COMMIT}.tar.bz2
+ -> glycin-test-images-${TEST_IMAGE_COMMIT}.tar.bz2
+ )
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="|| ( LGPL-2.1+ MPL-2.0 )"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD GPL-3+ IJG ISC
+ LGPL-3+ MIT Unicode-3.0
+ || ( LGPL-2.1+ MPL-2.0 )
+"
+SLOT="2"
+KEYWORDS="amd64 ~arm64"
+IUSE="heif jpeg2k jpegxl svg test"
+REQUIRED_USE="test? ( heif jpegxl )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ !>=media-libs/glycin-loaders-2:0
+ >=dev-libs/glib-2.68.0:2
+ >=sys-libs/libseccomp-2.5.0
+ heif? ( >=media-libs/libheif-1.17.0:= )
+ jpegxl? ( >=media-libs/libjxl-0.11.0:= )
+ svg? (
+ >=gnome-base/librsvg-2.52.0:2
+ >=x11-libs/cairo-1.17.0
+ )
+"
+DEPEND="
+ ${RDEPEND}
+ test? (
+ >=gui-libs/gtk-4.16.0:4
+ >=media-libs/lcms-2.14:2
+ )
+"
+BDEPEND="
+ test? (
+ sys-apps/bubblewrap
+ sys-apps/dbus
+ )
+"
+
+QA_FLAGS_IGNORED="usr/libexec/glycin-loaders/.*"
+
+src_unpack() {
+ cargo_src_unpack
+
+ if use test; then
+ mv "test-images-${TEST_IMAGE_COMMIT}"/* \
+ "${S}/tests/test-images/" || die
+ fi
+}
+
+src_configure() {
+ local formats=(
+ $(usev heif glycin-heif)
+ $(usev jpeg2k glycin-jpeg2000)
+ $(usev jpegxl glycin-jxl)
+ $(usev svg glycin-svg)
+ glycin-image-rs
+ )
+ local formats_s=${formats[*]}
+ local emesonargs=(
+ -Dprofile=$(usex debug dev release)
+ -Dglycin-loaders=true
+ -Dloaders="${formats_s// /,}"
+ -Dtests=$(usex test true false)
+ -Dlibglycin=false
+ -Dlibglycin-gtk4=false
+ -Dglycin-thumbnailer=false
+
+ # TODO: figure out why it fails
+ # https://gitlab.gnome.org/GNOME/glycin/-/issues/167
+ -Dtest_skip_ext=heic
+ )
+
+ meson_src_configure
+ ln -s "${CARGO_HOME}" "${BUILD_DIR}/cargo-home" || die
+}
+
+src_test() {
+ # tests write to /proc/*/uid_map
+ # apparently, "addpredict /" in Portage breaks it
+ local -x SANDBOX_ON=0
+ meson_src_test
+}
diff --git a/media-libs/glycin-loaders/glycin-loaders-2.1.1.ebuild b/media-libs/glycin-loaders/glycin-loaders-2.1.1.ebuild
new file mode 100644
index 000000000000..db9598a41770
--- /dev/null
+++ b/media-libs/glycin-loaders/glycin-loaders-2.1.1.ebuild
@@ -0,0 +1,112 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+RUST_MIN_VER=1.92.0
+
+inherit cargo meson
+
+MY_PV=${PV/_/.}
+MY_P=glycin-${MY_PV}
+TEST_IMAGE_COMMIT=f7a06d9131a5686c1b58c56f42f9fda9ea5e620d
+
+DESCRIPTION="Loaders for glycin clients (glycin crate or libglycin)"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/glycin/"
+# upstream release tarballs are useless, as upstream is deliberately
+# stripping glycin crate from them
+SRC_URI="
+ https://gitlab.gnome.org/GNOME/glycin/-/archive/${MY_PV}/${MY_P}.tar.bz2
+ https://github.com/gentoo-crate-dist/glycin/releases/download/${MY_PV}/${MY_P}-crates.tar.xz
+ test? (
+ https://gitlab.gnome.org/sophie-h/test-images/-/archive/${TEST_IMAGE_COMMIT}/test-images-${TEST_IMAGE_COMMIT}.tar.bz2
+ -> glycin-test-images-${TEST_IMAGE_COMMIT}.tar.bz2
+ )
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="|| ( LGPL-2.1+ MPL-2.0 )"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD GPL-3+ IJG ISC
+ LGPL-3+ MIT Unicode-3.0
+ || ( LGPL-2.1+ MPL-2.0 )
+"
+SLOT="2"
+if [[ ${PV} != *_[ab]* ]]; then
+ KEYWORDS="amd64 ~arm ~arm64 ~riscv ~x86"
+fi
+IUSE="heif jpegxl svg test"
+REQUIRED_USE="test? ( heif jpegxl )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ !>=media-libs/glycin-loaders-2:0
+ >=dev-libs/glib-2.68.0:2
+ >=sys-libs/libseccomp-2.5.0
+ heif? ( >=media-libs/libheif-1.17.0:= )
+ jpegxl? ( >=media-libs/libjxl-0.11.1:= )
+ svg? (
+ >=gnome-base/librsvg-2.52.0:2
+ >=x11-libs/cairo-1.17.0
+ )
+"
+DEPEND="
+ ${RDEPEND}
+ test? (
+ >=gui-libs/gtk-4.16.0:4
+ >=media-libs/lcms-2.14:2
+ )
+"
+BDEPEND="
+ test? (
+ sys-apps/bubblewrap
+ sys-apps/dbus
+ )
+"
+
+QA_FLAGS_IGNORED="usr/libexec/glycin-loaders/.*"
+
+src_unpack() {
+ cargo_src_unpack
+
+ if use test; then
+ mv "test-images-${TEST_IMAGE_COMMIT}"/* \
+ "${S}/tests/test-images/" || die
+ fi
+}
+
+src_configure() {
+ local formats=(
+ $(usev heif glycin-heif)
+ $(usev jpegxl glycin-jxl)
+ $(usev svg glycin-svg)
+ glycin-image-rs
+ )
+ local formats_s=${formats[*]}
+ local emesonargs=(
+ -Dprofile=$(usex debug dev release)
+ -Dglycin-loaders=true
+ -Dloaders="${formats_s// /,}"
+ -Dtests=$(usex test true false)
+ -Dlibglycin=false
+ -Dlibglycin-gtk4=false
+ -Dglycin-thumbnailer=false
+
+ # TODO: figure out why it fails
+ # https://gitlab.gnome.org/GNOME/glycin/-/issues/167
+ -Dtest_skip_ext=heic
+ )
+
+ meson_src_configure
+ ln -s "${CARGO_HOME}" "${BUILD_DIR}/cargo-home" || die
+}
+
+src_test() {
+ # tests write to /proc/*/uid_map
+ # apparently, "addpredict /" in Portage breaks it
+ local -x SANDBOX_ON=0
+ meson_src_test
+}
diff --git a/media-libs/glycin-loaders/metadata.xml b/media-libs/glycin-loaders/metadata.xml
new file mode 100644
index 000000000000..838d14f7406b
--- /dev/null
+++ b/media-libs/glycin-loaders/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>mgorny@gentoo.org</email>
+ <name>Michał Górny</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>